<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle(''.homeurl.' - Личный блокнот');

///Подключаем шапку
$title->GetHeader();

if ($b == false) {
header('location: /');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Личный блокнот</h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/office" rel="v:url" property="v:title">Кабинет</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Личный блокнот</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> -<a href="/office"> Кабинет</a> - Личный блокнот </div>';
echo '<div class="row text_box">Здесь Вы можете хранить текстовые записи, которые никто кроме вас не увидит, если только Вы сами не дадите на запись ссылку. | <img src="/assets/images/pen2.png" alt="*" /> <a href="create">Написать</a></div>';

// Удаление блокнота 
if (isset($_GET['delete']))
{
$notebook = DB::$dbs->queryFetch("SELECT * FROM `notebook` WHERE `id` = ? LIMIT 1", [intval($_GET['delete'])]);
if ($notebook['id_user'] == $b['id'])
{
DB::$dbs->query("DELETE FROM `notebook` WHERE `id` = ? LIMIT 1", [$notebook['id']]);
header('Location: ?');
exit;
}
}
// Колличество записей
$k_post = DB::$dbs->querySingle("SELECT COUNT(*) FROM `notebook` WHERE `id_user` = ?", [$b['id']]);
$num = 10;
$k_page = k_page($k_post, $num);
$page = page($k_page);
$start = $num * $page - $num;

if ($k_post == 0)
{
err('Cписок записей пуст');
}

$sql = DB::$dbs->query("SELECT * FROM `notebook` WHERE `id_user` = ? ORDER BY `time` DESC LIMIT $start,$num",[$b['id']]);
while($post = $sql -> fetch()) {
echo '<div class="row text_box"><a href="note.php?key=' . $post['key'] . '"><img src="/assets/images/note.png" alt="*" /> <b>' . $post['name'] . '</b></a> (' . vr($post['time']) . ') [<a href="create.php?edit=' . $post['id'] . '">изм</a>] [<a href="?delete=' . $post['id'] . '">удл</a>]</br>'.text($post['msg']) . '</div>';
}
if ($k_page>1) {
str('?', $k_page, $page);
}
///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
?>
